/* AnnotationLabel.java

	Purpose:
		
	Description:
		
	History:
		Mon Nov 11 12:40:29 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * A label for the annotation.
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class AnnotationLabel extends AnnotationLabelOptions {
	/**
	 * Default Constructor.
	 */
	public AnnotationLabel() {
	}

	/**
	 * Constructs with a id of a point.
	 */
	public AnnotationLabel(String pointId) {
		setPoint(pointId);
	}

	/**
	 * Constructs with a point.
	 */
	public AnnotationLabel(Annotation.Point point) {
		setPoint(point);
	}

	/**
	 * Constructs with a id of a point and format.
	 */
	public AnnotationLabel(String pointId, String format) {
		setPoint(pointId);
		setFormat(format);
	}

	/**
	 * Constructs with a point and text.
	 */
	public AnnotationLabel(Annotation.Point point, String format) {
		setPoint(point);
		setFormat(format);
	}
}
