/* PackedBubbleDataLabels.java

	Purpose:
		
	Description:
		
	History:
		Wed Nov 20 16:50:31 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option of data labels used for Packed bubble plot.
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class PackedBubbleDataLabels extends DataLabels {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		parentNodeFormat
	}

	/**
	 * Returns the format for the parent node.
	 * <p>
	 * Default: null
	 */
	public String getParentNodeFormat() {
		return getAttr(Attrs.parentNodeFormat, null).asString();
	}

	/**
	 * Sets the format for the parent node.
	 */
	public void setParentNodeFormat(String parentNodeFormat) {
		setAttr(Attrs.parentNodeFormat, parentNodeFormat);
	}
}
