/* TimelinePlotOptions.java

	Purpose:
		
	Description:
		
	History:
		Tue Dec 03 10:25:54 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option for timeline plot
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class TimelinePlotOptions extends SeriesPlotOptions {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		legendType,
	}

	/**
	 * Default: "point"
	 */
	public String getLegendType() {
		return getAttr(Attrs.legendType, "point").asString();
	}

	public void setLegendType(String legendType) {
		setAttr(Attrs.legendType, legendType);
	}
}
